Strona 1 z 2 12 OstatniOstatni
Pokaż wyniki 1 do 10 z 13

Temat: Problem Nemesis, Libnet

  1. #1
    Zarejestrowany
    Nov 2011
    Postów
    7

    Domyślnie Problem Nemesis, Libnet

    Czesc . Mam problem z zainstalowaniem programu Nemesis a co za tym idzie biblioteki Libnet. Z gory podkreslam ze linuxa mam od paru dni i jestesm calkowicie zielony takze bardzo prosze o wyrozumialosc, dla mnie i glupot z ktorymi sie borykam.
    Ale do rzeczy. Na poczatku zainstalowalem (jak przynajmniej mi sie zdawalo) biblioteke libnet przez synaptic i zabralem sie do instalacji nemesisa. W sumie to nie bardzo wiedzialem jak sie do tego zabrac ale po jakims czasie poszukiwan i prob zaczalem instalowac go przez dpkg -i i wyskoczylo mi ze nie moze zainstalowac poniewaz potrzebuje libnet0. Stwierdzilem wiec ze zainstalowalem wtedy nie to i znalazlem oraz pobralem to:
    libnet0-dev_1.0.2a-7_i386.deb Debian Lenny Free Download
    problem tylko w tym ze tego tez nie moge zainstalowac, bo to z kolei wymaga: libnet0-dev (= 1.0.2a-7). Probowalem to wszystko instalowac na rozne sposoby ale wszystko konczylo sie porazka. Bawilem sie tym ladnych pare godzin i juz nie wiem co z tym robic dlatego pisze tutaj.
    Wiem ze pewnie wszystko robilem zle itd. ale jak juz wspomnialem linuxa mam dopiero od paru dni i narazie sie ucze ;P takze bardzo prosze o wyrozumialosc.
    Z gory wielkie dzieki za pomoc

    P.S.
    System ktorego uzywam to BT5 R2

  2. #2
    Zarejestrowany
    Jun 2006
    Skąd
    rand(.eu)
    Postów
    8,748

    Domyślnie

    Niestety problem z biblioteka libnet jest dosc skomplikowany - niektore programy wymagaja bardzo specyficznych wersji i dlatego nie znajdziesz ich w BT5 albo innych dystrybucjach. Jedyne wyjscie jakie ja znalazlem to zbudowac sobie takie distro samemu np w VM i miec te specyficzne aplikacje w osobnych maszynach.

    Nie pamietam ktore programy to byly ale mialem taka sytuacje ze jeden wymagal libnet 1.0.2, inny 1.0.7 chyba a jedyny jaki mozna bylo znalezc na necie i pobrac to chyba 1.0.11 - jesli pomylime numery wersji to przepraszam - mialem ta sytuacje jakies 4 lata temu.
    ctrl-alt-del.cc - soft reset site for IT admins and other staff :-)

  3. #3
    Zarejestrowany
    Nov 2011
    Postów
    7

    Domyślnie

    Ehh.. czyli z tego co zrozumialem moze byc trudniej niz myslalem.
    Czyli co dokladnie w tej sytuacji najlepiej zrobic. Nemesis wymaga chyba wersji 1.0.2a.
    A i odrazu sie podczepie jeszcze pod to. Moglby mi ktos opisac w jakis sposob instaluje sie metoda:
    ./configure
    make
    [...]

    Taka instrukcja byla pliku nemesisa, z reszta juz gdzies o tym czytalem, ale niestety po wielu probach nadal nie moge do tego dojsc...

    Z gory dzieki

  4. #4
    Zarejestrowany
    Jun 2006
    Skąd
    rand(.eu)
    Postów
    8,748

    Domyślnie

    skoro nie dzila to przeczytaj jakie bledy zglasza i napraw je... powinno sie dac
    ctrl-alt-del.cc - soft reset site for IT admins and other staff :-)

  5. #5
    Zarejestrowany
    Nov 2011
    Postów
    7

    Domyślnie

    Tylko problem w tym, ze jedyne co wyswietla to to ze aby zainstalowac nemesisa potrzeba biblioteki Libnet0 a takowej rowniez zainstalowac nie moge...
    A co do tej metody ./configure to nawet nie wiem jak ja zastosowac i dlatego moja prosba aby mi to ktos wytlumaczyl "łopatologicznie" krok po kroku :P
    Jak pisalem na poczatku jeszcze nie za bardzo czaje linuxa stad moje pytania ;/

  6. #6
    Zarejestrowany
    Jun 2006
    Skąd
    rand(.eu)
    Postów
    8,748

    Domyślnie

    Cytat Napisał Shader Zobacz post
    Tylko problem w tym, ze jedyne co wyswietla to to ze aby zainstalowac nemesisa potrzeba biblioteki Libnet0 a takowej rowniez zainstalowac nie moge...
    No i wlasnie pytam jakie masz bledy jak robisz ./configure, make, make install
    ctrl-alt-del.cc - soft reset site for IT admins and other staff :-)

  7. #7
    Zarejestrowany
    Nov 2011
    Postów
    7

    Domyślnie

    Cytat Napisał Shader Zobacz post
    A co do tej metody ./configure to nawet nie wiem jak ja zastosowac i dlatego moja prosba aby mi to ktos wytlumaczyl "łopatologicznie" krok po kroku :P
    No wlasnie problem w tym ze nie wiem jak uzyc tej metody... Jak juz pisalem dlugo probowalem ale w koncu nic mi z tego nie wyszlo

  8. #8
    Zarejestrowany
    Jun 2006
    Skąd
    rand(.eu)
    Postów
    8,748

    Domyślnie

    czytanie ze zrozumieniem ma przyszlosc... nawet ja powyzej podalem Ci jakie polecenia wykonac - sorry
    ctrl-alt-del.cc - soft reset site for IT admins and other staff :-)

  9. #9
    Zarejestrowany
    Nov 2011
    Postów
    7

    Domyślnie

    Tylko ze ja te komendy tzn. ./configure, make, make install znam od samiutkiego poczatku. Ale nic mi po nich bo nie moge ich zastosowac. Gdy wpisuje w telminalu ./configure i probuje podac lokalizacje katalogu z programem wyskakuje

    bash: ./configure: Nie ma takiego pliku ani katalogu

    W sumie nawet za bardzo nie wiem jak to zrobic, bo to co robie to to do czego sam doszedlem (dlatego pewnie robie cos zle).
    Dlatego poprosilem o dokladne rozpisanie "łopatologicznie" krok po kroku co i jak bo jestem calkiem zielony. Najlepiej przydalby sie przyklad jak to wszystko powinno wygladac. Sory za uciazliwe pytania...

  10. #10
    Zarejestrowany
    Jun 2006
    Skąd
    rand(.eu)
    Postów
    8,748

    Domyślnie

    Ok... co oznacza/robi polecenie./configure?
    ctrl-alt-del.cc - soft reset site for IT admins and other staff :-)

Strona 1 z 2 12 OstatniOstatni

Zasady Postowania

  • Nie możesz zakładać nowych tematów
  • Nie możesz pisać wiadomości
  • Nie możesz dodawać załączników
  • Nie możesz edytować swoich postów
  •  
Subskrybuj

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52